/*
 * generated by Xtext 2.12.0
 */
package fr.n7.services;

import com.google.inject.Inject;
import com.google.inject.Singleton;
import java.util.List;
import org.eclipse.xtext.Action;
import org.eclipse.xtext.Alternatives;
import org.eclipse.xtext.Assignment;
import org.eclipse.xtext.CrossReference;
import org.eclipse.xtext.EnumLiteralDeclaration;
import org.eclipse.xtext.EnumRule;
import org.eclipse.xtext.Grammar;
import org.eclipse.xtext.GrammarUtil;
import org.eclipse.xtext.Group;
import org.eclipse.xtext.Keyword;
import org.eclipse.xtext.ParserRule;
import org.eclipse.xtext.RuleCall;
import org.eclipse.xtext.TerminalRule;
import org.eclipse.xtext.common.services.TerminalsGrammarAccess;
import org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder;
import org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder;
import org.eclipse.xtext.service.GrammarProvider;

@Singleton
public class PDL3GrammarAccess extends AbstractGrammarElementFinder {
	
	public class ProcessElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.Process");
		private final Group cGroup = (Group)rule.eContents().get(1);
		private final Action cProcessAction_0 = (Action)cGroup.eContents().get(0);
		private final Keyword cProcessKeyword_1 = (Keyword)cGroup.eContents().get(1);
		private final Assignment cNameAssignment_2 = (Assignment)cGroup.eContents().get(2);
		private final RuleCall cNameEStringParserRuleCall_2_0 = (RuleCall)cNameAssignment_2.eContents().get(0);
		private final Keyword cLeftCurlyBracketKeyword_3 = (Keyword)cGroup.eContents().get(3);
		private final Group cGroup_4 = (Group)cGroup.eContents().get(4);
		private final Keyword cProcessElementKeyword_4_0 = (Keyword)cGroup_4.eContents().get(0);
		private final Keyword cLeftCurlyBracketKeyword_4_1 = (Keyword)cGroup_4.eContents().get(1);
		private final Assignment cProcessElementAssignment_4_2 = (Assignment)cGroup_4.eContents().get(2);
		private final RuleCall cProcessElementProcessElementParserRuleCall_4_2_0 = (RuleCall)cProcessElementAssignment_4_2.eContents().get(0);
		private final Group cGroup_4_3 = (Group)cGroup_4.eContents().get(3);
		private final Keyword cCommaKeyword_4_3_0 = (Keyword)cGroup_4_3.eContents().get(0);
		private final Assignment cProcessElementAssignment_4_3_1 = (Assignment)cGroup_4_3.eContents().get(1);
		private final RuleCall cProcessElementProcessElementParserRuleCall_4_3_1_0 = (RuleCall)cProcessElementAssignment_4_3_1.eContents().get(0);
		private final Keyword cRightCurlyBracketKeyword_4_4 = (Keyword)cGroup_4.eContents().get(4);
		private final Keyword cRightCurlyBracketKeyword_5 = (Keyword)cGroup.eContents().get(5);
		
		//Process:
		//	{Process}
		//	'Process'
		//	name=EString
		//	'{' ('processElement' '{' processElement+=ProcessElement ("," processElement+=ProcessElement)* '}')?
		//	'}';
		@Override public ParserRule getRule() { return rule; }
		
		//{Process} 'Process' name=EString '{' ('processElement' '{' processElement+=ProcessElement (","
		//processElement+=ProcessElement)* '}')? '}'
		public Group getGroup() { return cGroup; }
		
		//{Process}
		public Action getProcessAction_0() { return cProcessAction_0; }
		
		//'Process'
		public Keyword getProcessKeyword_1() { return cProcessKeyword_1; }
		
		//name=EString
		public Assignment getNameAssignment_2() { return cNameAssignment_2; }
		
		//EString
		public RuleCall getNameEStringParserRuleCall_2_0() { return cNameEStringParserRuleCall_2_0; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_3() { return cLeftCurlyBracketKeyword_3; }
		
		//('processElement' '{' processElement+=ProcessElement ("," processElement+=ProcessElement)* '}')?
		public Group getGroup_4() { return cGroup_4; }
		
		//'processElement'
		public Keyword getProcessElementKeyword_4_0() { return cProcessElementKeyword_4_0; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_4_1() { return cLeftCurlyBracketKeyword_4_1; }
		
		//processElement+=ProcessElement
		public Assignment getProcessElementAssignment_4_2() { return cProcessElementAssignment_4_2; }
		
		//ProcessElement
		public RuleCall getProcessElementProcessElementParserRuleCall_4_2_0() { return cProcessElementProcessElementParserRuleCall_4_2_0; }
		
		//("," processElement+=ProcessElement)*
		public Group getGroup_4_3() { return cGroup_4_3; }
		
		//","
		public Keyword getCommaKeyword_4_3_0() { return cCommaKeyword_4_3_0; }
		
		//processElement+=ProcessElement
		public Assignment getProcessElementAssignment_4_3_1() { return cProcessElementAssignment_4_3_1; }
		
		//ProcessElement
		public RuleCall getProcessElementProcessElementParserRuleCall_4_3_1_0() { return cProcessElementProcessElementParserRuleCall_4_3_1_0; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_4_4() { return cRightCurlyBracketKeyword_4_4; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_5() { return cRightCurlyBracketKeyword_5; }
	}
	public class ProcessElementElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.ProcessElement");
		private final Alternatives cAlternatives = (Alternatives)rule.eContents().get(1);
		private final RuleCall cWorkDefinitionParserRuleCall_0 = (RuleCall)cAlternatives.eContents().get(0);
		private final RuleCall cWorkSequenceParserRuleCall_1 = (RuleCall)cAlternatives.eContents().get(1);
		private final RuleCall cGuidanceParserRuleCall_2 = (RuleCall)cAlternatives.eContents().get(2);
		private final RuleCall cRessourceParserRuleCall_3 = (RuleCall)cAlternatives.eContents().get(3);
		
		//ProcessElement:
		//	WorkDefinition | WorkSequence | Guidance | Ressource;
		@Override public ParserRule getRule() { return rule; }
		
		//WorkDefinition | WorkSequence | Guidance | Ressource
		public Alternatives getAlternatives() { return cAlternatives; }
		
		//WorkDefinition
		public RuleCall getWorkDefinitionParserRuleCall_0() { return cWorkDefinitionParserRuleCall_0; }
		
		//WorkSequence
		public RuleCall getWorkSequenceParserRuleCall_1() { return cWorkSequenceParserRuleCall_1; }
		
		//Guidance
		public RuleCall getGuidanceParserRuleCall_2() { return cGuidanceParserRuleCall_2; }
		
		//Ressource
		public RuleCall getRessourceParserRuleCall_3() { return cRessourceParserRuleCall_3; }
	}
	public class EStringElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.EString");
		private final Alternatives cAlternatives = (Alternatives)rule.eContents().get(1);
		private final RuleCall cSTRINGTerminalRuleCall_0 = (RuleCall)cAlternatives.eContents().get(0);
		private final RuleCall cIDTerminalRuleCall_1 = (RuleCall)cAlternatives.eContents().get(1);
		
		//EString:
		//	STRING | ID;
		@Override public ParserRule getRule() { return rule; }
		
		//STRING | ID
		public Alternatives getAlternatives() { return cAlternatives; }
		
		//STRING
		public RuleCall getSTRINGTerminalRuleCall_0() { return cSTRINGTerminalRuleCall_0; }
		
		//ID
		public RuleCall getIDTerminalRuleCall_1() { return cIDTerminalRuleCall_1; }
	}
	public class WorkDefinitionElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.WorkDefinition");
		private final Group cGroup = (Group)rule.eContents().get(1);
		private final Action cWorkDefinitionAction_0 = (Action)cGroup.eContents().get(0);
		private final Keyword cWorkDefinitionKeyword_1 = (Keyword)cGroup.eContents().get(1);
		private final Assignment cNameAssignment_2 = (Assignment)cGroup.eContents().get(2);
		private final RuleCall cNameEStringParserRuleCall_2_0 = (RuleCall)cNameAssignment_2.eContents().get(0);
		private final Keyword cLeftCurlyBracketKeyword_3 = (Keyword)cGroup.eContents().get(3);
		private final Group cGroup_4 = (Group)cGroup.eContents().get(4);
		private final Keyword cLinksToPredecessorsKeyword_4_0 = (Keyword)cGroup_4.eContents().get(0);
		private final Keyword cLeftParenthesisKeyword_4_1 = (Keyword)cGroup_4.eContents().get(1);
		private final Assignment cLinksToPredecessorsAssignment_4_2 = (Assignment)cGroup_4.eContents().get(2);
		private final CrossReference cLinksToPredecessorsWorkSequenceCrossReference_4_2_0 = (CrossReference)cLinksToPredecessorsAssignment_4_2.eContents().get(0);
		private final RuleCall cLinksToPredecessorsWorkSequenceEStringParserRuleCall_4_2_0_1 = (RuleCall)cLinksToPredecessorsWorkSequenceCrossReference_4_2_0.eContents().get(1);
		private final Group cGroup_4_3 = (Group)cGroup_4.eContents().get(3);
		private final Keyword cCommaKeyword_4_3_0 = (Keyword)cGroup_4_3.eContents().get(0);
		private final Assignment cLinksToPredecessorsAssignment_4_3_1 = (Assignment)cGroup_4_3.eContents().get(1);
		private final CrossReference cLinksToPredecessorsWorkSequenceCrossReference_4_3_1_0 = (CrossReference)cLinksToPredecessorsAssignment_4_3_1.eContents().get(0);
		private final RuleCall cLinksToPredecessorsWorkSequenceEStringParserRuleCall_4_3_1_0_1 = (RuleCall)cLinksToPredecessorsWorkSequenceCrossReference_4_3_1_0.eContents().get(1);
		private final Keyword cRightParenthesisKeyword_4_4 = (Keyword)cGroup_4.eContents().get(4);
		private final Group cGroup_5 = (Group)cGroup.eContents().get(5);
		private final Keyword cLinksToSuccessorsKeyword_5_0 = (Keyword)cGroup_5.eContents().get(0);
		private final Keyword cLeftParenthesisKeyword_5_1 = (Keyword)cGroup_5.eContents().get(1);
		private final Assignment cLinksToSuccessorsAssignment_5_2 = (Assignment)cGroup_5.eContents().get(2);
		private final CrossReference cLinksToSuccessorsWorkSequenceCrossReference_5_2_0 = (CrossReference)cLinksToSuccessorsAssignment_5_2.eContents().get(0);
		private final RuleCall cLinksToSuccessorsWorkSequenceEStringParserRuleCall_5_2_0_1 = (RuleCall)cLinksToSuccessorsWorkSequenceCrossReference_5_2_0.eContents().get(1);
		private final Group cGroup_5_3 = (Group)cGroup_5.eContents().get(3);
		private final Keyword cCommaKeyword_5_3_0 = (Keyword)cGroup_5_3.eContents().get(0);
		private final Assignment cLinksToSuccessorsAssignment_5_3_1 = (Assignment)cGroup_5_3.eContents().get(1);
		private final CrossReference cLinksToSuccessorsWorkSequenceCrossReference_5_3_1_0 = (CrossReference)cLinksToSuccessorsAssignment_5_3_1.eContents().get(0);
		private final RuleCall cLinksToSuccessorsWorkSequenceEStringParserRuleCall_5_3_1_0_1 = (RuleCall)cLinksToSuccessorsWorkSequenceCrossReference_5_3_1_0.eContents().get(1);
		private final Keyword cRightParenthesisKeyword_5_4 = (Keyword)cGroup_5.eContents().get(4);
		private final Group cGroup_6 = (Group)cGroup.eContents().get(6);
		private final Keyword cAllocationressourceKeyword_6_0 = (Keyword)cGroup_6.eContents().get(0);
		private final Keyword cLeftCurlyBracketKeyword_6_1 = (Keyword)cGroup_6.eContents().get(1);
		private final Assignment cAllocationressourceAssignment_6_2 = (Assignment)cGroup_6.eContents().get(2);
		private final RuleCall cAllocationressourceAllocationRessourceParserRuleCall_6_2_0 = (RuleCall)cAllocationressourceAssignment_6_2.eContents().get(0);
		private final Group cGroup_6_3 = (Group)cGroup_6.eContents().get(3);
		private final Keyword cCommaKeyword_6_3_0 = (Keyword)cGroup_6_3.eContents().get(0);
		private final Assignment cAllocationressourceAssignment_6_3_1 = (Assignment)cGroup_6_3.eContents().get(1);
		private final RuleCall cAllocationressourceAllocationRessourceParserRuleCall_6_3_1_0 = (RuleCall)cAllocationressourceAssignment_6_3_1.eContents().get(0);
		private final Keyword cRightCurlyBracketKeyword_6_4 = (Keyword)cGroup_6.eContents().get(4);
		private final Keyword cRightCurlyBracketKeyword_7 = (Keyword)cGroup.eContents().get(7);
		
		//WorkDefinition:
		//	{WorkDefinition}
		//	'WorkDefinition'
		//	name=EString
		//	'{' ('linksToPredecessors' '(' linksToPredecessors+=[WorkSequence|EString] (","
		//	linksToPredecessors+=[WorkSequence|EString])* ')')? ('linksToSuccessors' '(' linksToSuccessors+=[WorkSequence|EString]
		//	("," linksToSuccessors+=[WorkSequence|EString])* ')')? ('allocationressource' '{'
		//	allocationressource+=AllocationRessource ("," allocationressource+=AllocationRessource)* '}')?
		//	'}';
		@Override public ParserRule getRule() { return rule; }
		
		//{WorkDefinition} 'WorkDefinition' name=EString '{' ('linksToPredecessors' '('
		//linksToPredecessors+=[WorkSequence|EString] ("," linksToPredecessors+=[WorkSequence|EString])* ')')?
		//('linksToSuccessors' '(' linksToSuccessors+=[WorkSequence|EString] ("," linksToSuccessors+=[WorkSequence|EString])*
		//')')? ('allocationressource' '{' allocationressource+=AllocationRessource (","
		//allocationressource+=AllocationRessource)* '}')? '}'
		public Group getGroup() { return cGroup; }
		
		//{WorkDefinition}
		public Action getWorkDefinitionAction_0() { return cWorkDefinitionAction_0; }
		
		//'WorkDefinition'
		public Keyword getWorkDefinitionKeyword_1() { return cWorkDefinitionKeyword_1; }
		
		//name=EString
		public Assignment getNameAssignment_2() { return cNameAssignment_2; }
		
		//EString
		public RuleCall getNameEStringParserRuleCall_2_0() { return cNameEStringParserRuleCall_2_0; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_3() { return cLeftCurlyBracketKeyword_3; }
		
		//('linksToPredecessors' '(' linksToPredecessors+=[WorkSequence|EString] (","
		//linksToPredecessors+=[WorkSequence|EString])* ')')?
		public Group getGroup_4() { return cGroup_4; }
		
		//'linksToPredecessors'
		public Keyword getLinksToPredecessorsKeyword_4_0() { return cLinksToPredecessorsKeyword_4_0; }
		
		//'('
		public Keyword getLeftParenthesisKeyword_4_1() { return cLeftParenthesisKeyword_4_1; }
		
		//linksToPredecessors+=[WorkSequence|EString]
		public Assignment getLinksToPredecessorsAssignment_4_2() { return cLinksToPredecessorsAssignment_4_2; }
		
		//[WorkSequence|EString]
		public CrossReference getLinksToPredecessorsWorkSequenceCrossReference_4_2_0() { return cLinksToPredecessorsWorkSequenceCrossReference_4_2_0; }
		
		//EString
		public RuleCall getLinksToPredecessorsWorkSequenceEStringParserRuleCall_4_2_0_1() { return cLinksToPredecessorsWorkSequenceEStringParserRuleCall_4_2_0_1; }
		
		//("," linksToPredecessors+=[WorkSequence|EString])*
		public Group getGroup_4_3() { return cGroup_4_3; }
		
		//","
		public Keyword getCommaKeyword_4_3_0() { return cCommaKeyword_4_3_0; }
		
		//linksToPredecessors+=[WorkSequence|EString]
		public Assignment getLinksToPredecessorsAssignment_4_3_1() { return cLinksToPredecessorsAssignment_4_3_1; }
		
		//[WorkSequence|EString]
		public CrossReference getLinksToPredecessorsWorkSequenceCrossReference_4_3_1_0() { return cLinksToPredecessorsWorkSequenceCrossReference_4_3_1_0; }
		
		//EString
		public RuleCall getLinksToPredecessorsWorkSequenceEStringParserRuleCall_4_3_1_0_1() { return cLinksToPredecessorsWorkSequenceEStringParserRuleCall_4_3_1_0_1; }
		
		//')'
		public Keyword getRightParenthesisKeyword_4_4() { return cRightParenthesisKeyword_4_4; }
		
		//('linksToSuccessors' '(' linksToSuccessors+=[WorkSequence|EString] ("," linksToSuccessors+=[WorkSequence|EString])*
		//')')?
		public Group getGroup_5() { return cGroup_5; }
		
		//'linksToSuccessors'
		public Keyword getLinksToSuccessorsKeyword_5_0() { return cLinksToSuccessorsKeyword_5_0; }
		
		//'('
		public Keyword getLeftParenthesisKeyword_5_1() { return cLeftParenthesisKeyword_5_1; }
		
		//linksToSuccessors+=[WorkSequence|EString]
		public Assignment getLinksToSuccessorsAssignment_5_2() { return cLinksToSuccessorsAssignment_5_2; }
		
		//[WorkSequence|EString]
		public CrossReference getLinksToSuccessorsWorkSequenceCrossReference_5_2_0() { return cLinksToSuccessorsWorkSequenceCrossReference_5_2_0; }
		
		//EString
		public RuleCall getLinksToSuccessorsWorkSequenceEStringParserRuleCall_5_2_0_1() { return cLinksToSuccessorsWorkSequenceEStringParserRuleCall_5_2_0_1; }
		
		//("," linksToSuccessors+=[WorkSequence|EString])*
		public Group getGroup_5_3() { return cGroup_5_3; }
		
		//","
		public Keyword getCommaKeyword_5_3_0() { return cCommaKeyword_5_3_0; }
		
		//linksToSuccessors+=[WorkSequence|EString]
		public Assignment getLinksToSuccessorsAssignment_5_3_1() { return cLinksToSuccessorsAssignment_5_3_1; }
		
		//[WorkSequence|EString]
		public CrossReference getLinksToSuccessorsWorkSequenceCrossReference_5_3_1_0() { return cLinksToSuccessorsWorkSequenceCrossReference_5_3_1_0; }
		
		//EString
		public RuleCall getLinksToSuccessorsWorkSequenceEStringParserRuleCall_5_3_1_0_1() { return cLinksToSuccessorsWorkSequenceEStringParserRuleCall_5_3_1_0_1; }
		
		//')'
		public Keyword getRightParenthesisKeyword_5_4() { return cRightParenthesisKeyword_5_4; }
		
		//('allocationressource' '{' allocationressource+=AllocationRessource ("," allocationressource+=AllocationRessource)*
		//'}')?
		public Group getGroup_6() { return cGroup_6; }
		
		//'allocationressource'
		public Keyword getAllocationressourceKeyword_6_0() { return cAllocationressourceKeyword_6_0; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_6_1() { return cLeftCurlyBracketKeyword_6_1; }
		
		//allocationressource+=AllocationRessource
		public Assignment getAllocationressourceAssignment_6_2() { return cAllocationressourceAssignment_6_2; }
		
		//AllocationRessource
		public RuleCall getAllocationressourceAllocationRessourceParserRuleCall_6_2_0() { return cAllocationressourceAllocationRessourceParserRuleCall_6_2_0; }
		
		//("," allocationressource+=AllocationRessource)*
		public Group getGroup_6_3() { return cGroup_6_3; }
		
		//","
		public Keyword getCommaKeyword_6_3_0() { return cCommaKeyword_6_3_0; }
		
		//allocationressource+=AllocationRessource
		public Assignment getAllocationressourceAssignment_6_3_1() { return cAllocationressourceAssignment_6_3_1; }
		
		//AllocationRessource
		public RuleCall getAllocationressourceAllocationRessourceParserRuleCall_6_3_1_0() { return cAllocationressourceAllocationRessourceParserRuleCall_6_3_1_0; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_6_4() { return cRightCurlyBracketKeyword_6_4; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_7() { return cRightCurlyBracketKeyword_7; }
	}
	public class WorkSequenceElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.WorkSequence");
		private final Group cGroup = (Group)rule.eContents().get(1);
		private final Keyword cWorkSequenceKeyword_0 = (Keyword)cGroup.eContents().get(0);
		private final Keyword cLeftCurlyBracketKeyword_1 = (Keyword)cGroup.eContents().get(1);
		private final Keyword cLinkTypeKeyword_2 = (Keyword)cGroup.eContents().get(2);
		private final Assignment cLinkTypeAssignment_3 = (Assignment)cGroup.eContents().get(3);
		private final RuleCall cLinkTypeWorkSequenceTypeEnumRuleCall_3_0 = (RuleCall)cLinkTypeAssignment_3.eContents().get(0);
		private final Keyword cPredecessorKeyword_4 = (Keyword)cGroup.eContents().get(4);
		private final Assignment cPredecessorAssignment_5 = (Assignment)cGroup.eContents().get(5);
		private final CrossReference cPredecessorWorkDefinitionCrossReference_5_0 = (CrossReference)cPredecessorAssignment_5.eContents().get(0);
		private final RuleCall cPredecessorWorkDefinitionEStringParserRuleCall_5_0_1 = (RuleCall)cPredecessorWorkDefinitionCrossReference_5_0.eContents().get(1);
		private final Keyword cSuccessorKeyword_6 = (Keyword)cGroup.eContents().get(6);
		private final Assignment cSuccessorAssignment_7 = (Assignment)cGroup.eContents().get(7);
		private final CrossReference cSuccessorWorkDefinitionCrossReference_7_0 = (CrossReference)cSuccessorAssignment_7.eContents().get(0);
		private final RuleCall cSuccessorWorkDefinitionEStringParserRuleCall_7_0_1 = (RuleCall)cSuccessorWorkDefinitionCrossReference_7_0.eContents().get(1);
		private final Keyword cRightCurlyBracketKeyword_8 = (Keyword)cGroup.eContents().get(8);
		
		//WorkSequence:
		//	'WorkSequence'
		//	'{'
		//	'linkType' linkType=WorkSequenceType
		//	'predecessor' predecessor=[WorkDefinition|EString]
		//	'successor' successor=[WorkDefinition|EString]
		//	'}';
		@Override public ParserRule getRule() { return rule; }
		
		//'WorkSequence' '{' 'linkType' linkType=WorkSequenceType 'predecessor' predecessor=[WorkDefinition|EString] 'successor'
		//successor=[WorkDefinition|EString] '}'
		public Group getGroup() { return cGroup; }
		
		//'WorkSequence'
		public Keyword getWorkSequenceKeyword_0() { return cWorkSequenceKeyword_0; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_1() { return cLeftCurlyBracketKeyword_1; }
		
		//'linkType'
		public Keyword getLinkTypeKeyword_2() { return cLinkTypeKeyword_2; }
		
		//linkType=WorkSequenceType
		public Assignment getLinkTypeAssignment_3() { return cLinkTypeAssignment_3; }
		
		//WorkSequenceType
		public RuleCall getLinkTypeWorkSequenceTypeEnumRuleCall_3_0() { return cLinkTypeWorkSequenceTypeEnumRuleCall_3_0; }
		
		//'predecessor'
		public Keyword getPredecessorKeyword_4() { return cPredecessorKeyword_4; }
		
		//predecessor=[WorkDefinition|EString]
		public Assignment getPredecessorAssignment_5() { return cPredecessorAssignment_5; }
		
		//[WorkDefinition|EString]
		public CrossReference getPredecessorWorkDefinitionCrossReference_5_0() { return cPredecessorWorkDefinitionCrossReference_5_0; }
		
		//EString
		public RuleCall getPredecessorWorkDefinitionEStringParserRuleCall_5_0_1() { return cPredecessorWorkDefinitionEStringParserRuleCall_5_0_1; }
		
		//'successor'
		public Keyword getSuccessorKeyword_6() { return cSuccessorKeyword_6; }
		
		//successor=[WorkDefinition|EString]
		public Assignment getSuccessorAssignment_7() { return cSuccessorAssignment_7; }
		
		//[WorkDefinition|EString]
		public CrossReference getSuccessorWorkDefinitionCrossReference_7_0() { return cSuccessorWorkDefinitionCrossReference_7_0; }
		
		//EString
		public RuleCall getSuccessorWorkDefinitionEStringParserRuleCall_7_0_1() { return cSuccessorWorkDefinitionEStringParserRuleCall_7_0_1; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_8() { return cRightCurlyBracketKeyword_8; }
	}
	public class GuidanceElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.Guidance");
		private final Group cGroup = (Group)rule.eContents().get(1);
		private final Action cGuidanceAction_0 = (Action)cGroup.eContents().get(0);
		private final Keyword cGuidanceKeyword_1 = (Keyword)cGroup.eContents().get(1);
		private final Keyword cLeftCurlyBracketKeyword_2 = (Keyword)cGroup.eContents().get(2);
		private final Group cGroup_3 = (Group)cGroup.eContents().get(3);
		private final Keyword cTextKeyword_3_0 = (Keyword)cGroup_3.eContents().get(0);
		private final Assignment cTextAssignment_3_1 = (Assignment)cGroup_3.eContents().get(1);
		private final RuleCall cTextEStringParserRuleCall_3_1_0 = (RuleCall)cTextAssignment_3_1.eContents().get(0);
		private final Group cGroup_4 = (Group)cGroup.eContents().get(4);
		private final Keyword cElementsKeyword_4_0 = (Keyword)cGroup_4.eContents().get(0);
		private final Keyword cLeftParenthesisKeyword_4_1 = (Keyword)cGroup_4.eContents().get(1);
		private final Assignment cElementsAssignment_4_2 = (Assignment)cGroup_4.eContents().get(2);
		private final CrossReference cElementsProcessElementCrossReference_4_2_0 = (CrossReference)cElementsAssignment_4_2.eContents().get(0);
		private final RuleCall cElementsProcessElementEStringParserRuleCall_4_2_0_1 = (RuleCall)cElementsProcessElementCrossReference_4_2_0.eContents().get(1);
		private final Group cGroup_4_3 = (Group)cGroup_4.eContents().get(3);
		private final Keyword cCommaKeyword_4_3_0 = (Keyword)cGroup_4_3.eContents().get(0);
		private final Assignment cElementsAssignment_4_3_1 = (Assignment)cGroup_4_3.eContents().get(1);
		private final CrossReference cElementsProcessElementCrossReference_4_3_1_0 = (CrossReference)cElementsAssignment_4_3_1.eContents().get(0);
		private final RuleCall cElementsProcessElementEStringParserRuleCall_4_3_1_0_1 = (RuleCall)cElementsProcessElementCrossReference_4_3_1_0.eContents().get(1);
		private final Keyword cRightParenthesisKeyword_4_4 = (Keyword)cGroup_4.eContents().get(4);
		private final Keyword cRightCurlyBracketKeyword_5 = (Keyword)cGroup.eContents().get(5);
		
		//Guidance:
		//	{Guidance}
		//	'Guidance'
		//	'{' ('text' text=EString)? ('elements' '(' elements+=[ProcessElement|EString] (","
		//	elements+=[ProcessElement|EString])* ')')?
		//	'}';
		@Override public ParserRule getRule() { return rule; }
		
		//{Guidance} 'Guidance' '{' ('text' text=EString)? ('elements' '(' elements+=[ProcessElement|EString] (","
		//elements+=[ProcessElement|EString])* ')')? '}'
		public Group getGroup() { return cGroup; }
		
		//{Guidance}
		public Action getGuidanceAction_0() { return cGuidanceAction_0; }
		
		//'Guidance'
		public Keyword getGuidanceKeyword_1() { return cGuidanceKeyword_1; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_2() { return cLeftCurlyBracketKeyword_2; }
		
		//('text' text=EString)?
		public Group getGroup_3() { return cGroup_3; }
		
		//'text'
		public Keyword getTextKeyword_3_0() { return cTextKeyword_3_0; }
		
		//text=EString
		public Assignment getTextAssignment_3_1() { return cTextAssignment_3_1; }
		
		//EString
		public RuleCall getTextEStringParserRuleCall_3_1_0() { return cTextEStringParserRuleCall_3_1_0; }
		
		//('elements' '(' elements+=[ProcessElement|EString] ("," elements+=[ProcessElement|EString])* ')')?
		public Group getGroup_4() { return cGroup_4; }
		
		//'elements'
		public Keyword getElementsKeyword_4_0() { return cElementsKeyword_4_0; }
		
		//'('
		public Keyword getLeftParenthesisKeyword_4_1() { return cLeftParenthesisKeyword_4_1; }
		
		//elements+=[ProcessElement|EString]
		public Assignment getElementsAssignment_4_2() { return cElementsAssignment_4_2; }
		
		//[ProcessElement|EString]
		public CrossReference getElementsProcessElementCrossReference_4_2_0() { return cElementsProcessElementCrossReference_4_2_0; }
		
		//EString
		public RuleCall getElementsProcessElementEStringParserRuleCall_4_2_0_1() { return cElementsProcessElementEStringParserRuleCall_4_2_0_1; }
		
		//("," elements+=[ProcessElement|EString])*
		public Group getGroup_4_3() { return cGroup_4_3; }
		
		//","
		public Keyword getCommaKeyword_4_3_0() { return cCommaKeyword_4_3_0; }
		
		//elements+=[ProcessElement|EString]
		public Assignment getElementsAssignment_4_3_1() { return cElementsAssignment_4_3_1; }
		
		//[ProcessElement|EString]
		public CrossReference getElementsProcessElementCrossReference_4_3_1_0() { return cElementsProcessElementCrossReference_4_3_1_0; }
		
		//EString
		public RuleCall getElementsProcessElementEStringParserRuleCall_4_3_1_0_1() { return cElementsProcessElementEStringParserRuleCall_4_3_1_0_1; }
		
		//')'
		public Keyword getRightParenthesisKeyword_4_4() { return cRightParenthesisKeyword_4_4; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_5() { return cRightCurlyBracketKeyword_5; }
	}
	public class RessourceElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.Ressource");
		private final Group cGroup = (Group)rule.eContents().get(1);
		private final Keyword cRessourceKeyword_0 = (Keyword)cGroup.eContents().get(0);
		private final Assignment cNameAssignment_1 = (Assignment)cGroup.eContents().get(1);
		private final RuleCall cNameEStringParserRuleCall_1_0 = (RuleCall)cNameAssignment_1.eContents().get(0);
		private final Keyword cLeftCurlyBracketKeyword_2 = (Keyword)cGroup.eContents().get(2);
		private final Keyword cInstanceKeyword_3 = (Keyword)cGroup.eContents().get(3);
		private final Assignment cInstanceAssignment_4 = (Assignment)cGroup.eContents().get(4);
		private final RuleCall cInstanceEIntParserRuleCall_4_0 = (RuleCall)cInstanceAssignment_4.eContents().get(0);
		private final Group cGroup_5 = (Group)cGroup.eContents().get(5);
		private final Keyword cPredecessorsKeyword_5_0 = (Keyword)cGroup_5.eContents().get(0);
		private final Keyword cLeftParenthesisKeyword_5_1 = (Keyword)cGroup_5.eContents().get(1);
		private final Assignment cPredecessorsAssignment_5_2 = (Assignment)cGroup_5.eContents().get(2);
		private final CrossReference cPredecessorsAllocationRessourceCrossReference_5_2_0 = (CrossReference)cPredecessorsAssignment_5_2.eContents().get(0);
		private final RuleCall cPredecessorsAllocationRessourceEStringParserRuleCall_5_2_0_1 = (RuleCall)cPredecessorsAllocationRessourceCrossReference_5_2_0.eContents().get(1);
		private final Group cGroup_5_3 = (Group)cGroup_5.eContents().get(3);
		private final Keyword cCommaKeyword_5_3_0 = (Keyword)cGroup_5_3.eContents().get(0);
		private final Assignment cPredecessorsAssignment_5_3_1 = (Assignment)cGroup_5_3.eContents().get(1);
		private final CrossReference cPredecessorsAllocationRessourceCrossReference_5_3_1_0 = (CrossReference)cPredecessorsAssignment_5_3_1.eContents().get(0);
		private final RuleCall cPredecessorsAllocationRessourceEStringParserRuleCall_5_3_1_0_1 = (RuleCall)cPredecessorsAllocationRessourceCrossReference_5_3_1_0.eContents().get(1);
		private final Keyword cRightParenthesisKeyword_5_4 = (Keyword)cGroup_5.eContents().get(4);
		private final Keyword cRightCurlyBracketKeyword_6 = (Keyword)cGroup.eContents().get(6);
		
		//Ressource:
		//	'Ressource'
		//	name=EString
		//	'{'
		//	'instance' instance=EInt ('predecessors' '(' predecessors+=[AllocationRessource|EString] (","
		//	predecessors+=[AllocationRessource|EString])* ')')?
		//	'}';
		@Override public ParserRule getRule() { return rule; }
		
		//'Ressource' name=EString '{' 'instance' instance=EInt ('predecessors' '(' predecessors+=[AllocationRessource|EString]
		//("," predecessors+=[AllocationRessource|EString])* ')')? '}'
		public Group getGroup() { return cGroup; }
		
		//'Ressource'
		public Keyword getRessourceKeyword_0() { return cRessourceKeyword_0; }
		
		//name=EString
		public Assignment getNameAssignment_1() { return cNameAssignment_1; }
		
		//EString
		public RuleCall getNameEStringParserRuleCall_1_0() { return cNameEStringParserRuleCall_1_0; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_2() { return cLeftCurlyBracketKeyword_2; }
		
		//'instance'
		public Keyword getInstanceKeyword_3() { return cInstanceKeyword_3; }
		
		//instance=EInt
		public Assignment getInstanceAssignment_4() { return cInstanceAssignment_4; }
		
		//EInt
		public RuleCall getInstanceEIntParserRuleCall_4_0() { return cInstanceEIntParserRuleCall_4_0; }
		
		//('predecessors' '(' predecessors+=[AllocationRessource|EString] ("," predecessors+=[AllocationRessource|EString])* ')')?
		public Group getGroup_5() { return cGroup_5; }
		
		//'predecessors'
		public Keyword getPredecessorsKeyword_5_0() { return cPredecessorsKeyword_5_0; }
		
		//'('
		public Keyword getLeftParenthesisKeyword_5_1() { return cLeftParenthesisKeyword_5_1; }
		
		//predecessors+=[AllocationRessource|EString]
		public Assignment getPredecessorsAssignment_5_2() { return cPredecessorsAssignment_5_2; }
		
		//[AllocationRessource|EString]
		public CrossReference getPredecessorsAllocationRessourceCrossReference_5_2_0() { return cPredecessorsAllocationRessourceCrossReference_5_2_0; }
		
		//EString
		public RuleCall getPredecessorsAllocationRessourceEStringParserRuleCall_5_2_0_1() { return cPredecessorsAllocationRessourceEStringParserRuleCall_5_2_0_1; }
		
		//("," predecessors+=[AllocationRessource|EString])*
		public Group getGroup_5_3() { return cGroup_5_3; }
		
		//","
		public Keyword getCommaKeyword_5_3_0() { return cCommaKeyword_5_3_0; }
		
		//predecessors+=[AllocationRessource|EString]
		public Assignment getPredecessorsAssignment_5_3_1() { return cPredecessorsAssignment_5_3_1; }
		
		//[AllocationRessource|EString]
		public CrossReference getPredecessorsAllocationRessourceCrossReference_5_3_1_0() { return cPredecessorsAllocationRessourceCrossReference_5_3_1_0; }
		
		//EString
		public RuleCall getPredecessorsAllocationRessourceEStringParserRuleCall_5_3_1_0_1() { return cPredecessorsAllocationRessourceEStringParserRuleCall_5_3_1_0_1; }
		
		//')'
		public Keyword getRightParenthesisKeyword_5_4() { return cRightParenthesisKeyword_5_4; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_6() { return cRightCurlyBracketKeyword_6; }
	}
	public class AllocationRessourceElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.AllocationRessource");
		private final Group cGroup = (Group)rule.eContents().get(1);
		private final Keyword cAllocationRessourceKeyword_0 = (Keyword)cGroup.eContents().get(0);
		private final Keyword cLeftCurlyBracketKeyword_1 = (Keyword)cGroup.eContents().get(1);
		private final Keyword cNumAllocatedKeyword_2 = (Keyword)cGroup.eContents().get(2);
		private final Assignment cNumAllocatedAssignment_3 = (Assignment)cGroup.eContents().get(3);
		private final RuleCall cNumAllocatedEIntParserRuleCall_3_0 = (RuleCall)cNumAllocatedAssignment_3.eContents().get(0);
		private final Keyword cRessourceKeyword_4 = (Keyword)cGroup.eContents().get(4);
		private final Assignment cRessourceAssignment_5 = (Assignment)cGroup.eContents().get(5);
		private final CrossReference cRessourceRessourceCrossReference_5_0 = (CrossReference)cRessourceAssignment_5.eContents().get(0);
		private final RuleCall cRessourceRessourceEStringParserRuleCall_5_0_1 = (RuleCall)cRessourceRessourceCrossReference_5_0.eContents().get(1);
		private final Keyword cRightCurlyBracketKeyword_6 = (Keyword)cGroup.eContents().get(6);
		
		//AllocationRessource:
		//	'AllocationRessource'
		//	'{'
		//	'numAllocated' numAllocated=EInt
		//	'ressource' ressource=[Ressource|EString]
		//	'}';
		@Override public ParserRule getRule() { return rule; }
		
		//'AllocationRessource' '{' 'numAllocated' numAllocated=EInt 'ressource' ressource=[Ressource|EString] '}'
		public Group getGroup() { return cGroup; }
		
		//'AllocationRessource'
		public Keyword getAllocationRessourceKeyword_0() { return cAllocationRessourceKeyword_0; }
		
		//'{'
		public Keyword getLeftCurlyBracketKeyword_1() { return cLeftCurlyBracketKeyword_1; }
		
		//'numAllocated'
		public Keyword getNumAllocatedKeyword_2() { return cNumAllocatedKeyword_2; }
		
		//numAllocated=EInt
		public Assignment getNumAllocatedAssignment_3() { return cNumAllocatedAssignment_3; }
		
		//EInt
		public RuleCall getNumAllocatedEIntParserRuleCall_3_0() { return cNumAllocatedEIntParserRuleCall_3_0; }
		
		//'ressource'
		public Keyword getRessourceKeyword_4() { return cRessourceKeyword_4; }
		
		//ressource=[Ressource|EString]
		public Assignment getRessourceAssignment_5() { return cRessourceAssignment_5; }
		
		//[Ressource|EString]
		public CrossReference getRessourceRessourceCrossReference_5_0() { return cRessourceRessourceCrossReference_5_0; }
		
		//EString
		public RuleCall getRessourceRessourceEStringParserRuleCall_5_0_1() { return cRessourceRessourceEStringParserRuleCall_5_0_1; }
		
		//'}'
		public Keyword getRightCurlyBracketKeyword_6() { return cRightCurlyBracketKeyword_6; }
	}
	public class EIntElements extends AbstractParserRuleElementFinder {
		private final ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.EInt");
		private final Group cGroup = (Group)rule.eContents().get(1);
		private final Keyword cHyphenMinusKeyword_0 = (Keyword)cGroup.eContents().get(0);
		private final RuleCall cINTTerminalRuleCall_1 = (RuleCall)cGroup.eContents().get(1);
		
		//EInt ecore::EInt:
		//	'-'? INT;
		@Override public ParserRule getRule() { return rule; }
		
		//'-'? INT
		public Group getGroup() { return cGroup; }
		
		//'-'?
		public Keyword getHyphenMinusKeyword_0() { return cHyphenMinusKeyword_0; }
		
		//INT
		public RuleCall getINTTerminalRuleCall_1() { return cINTTerminalRuleCall_1; }
	}
	
	public class WorkSequenceTypeElements extends AbstractEnumRuleElementFinder {
		private final EnumRule rule = (EnumRule) GrammarUtil.findRuleForName(getGrammar(), "fr.n7.PDL3.WorkSequenceType");
		private final Alternatives cAlternatives = (Alternatives)rule.eContents().get(1);
		private final EnumLiteralDeclaration cStartToStartEnumLiteralDeclaration_0 = (EnumLiteralDeclaration)cAlternatives.eContents().get(0);
		private final Keyword cStartToStartStartToStartKeyword_0_0 = (Keyword)cStartToStartEnumLiteralDeclaration_0.eContents().get(0);
		private final EnumLiteralDeclaration cFinishToStartEnumLiteralDeclaration_1 = (EnumLiteralDeclaration)cAlternatives.eContents().get(1);
		private final Keyword cFinishToStartFinishToStartKeyword_1_0 = (Keyword)cFinishToStartEnumLiteralDeclaration_1.eContents().get(0);
		private final EnumLiteralDeclaration cStartToFinishEnumLiteralDeclaration_2 = (EnumLiteralDeclaration)cAlternatives.eContents().get(2);
		private final Keyword cStartToFinishStartToFinishKeyword_2_0 = (Keyword)cStartToFinishEnumLiteralDeclaration_2.eContents().get(0);
		private final EnumLiteralDeclaration cFinishToFinishEnumLiteralDeclaration_3 = (EnumLiteralDeclaration)cAlternatives.eContents().get(3);
		private final Keyword cFinishToFinishFinishToFinishKeyword_3_0 = (Keyword)cFinishToFinishEnumLiteralDeclaration_3.eContents().get(0);
		
		//enum WorkSequenceType:
		//	startToStart | finishToStart | startToFinish | finishToFinish;
		public EnumRule getRule() { return rule; }
		
		//startToStart | finishToStart | startToFinish | finishToFinish
		public Alternatives getAlternatives() { return cAlternatives; }
		
		//startToStart
		public EnumLiteralDeclaration getStartToStartEnumLiteralDeclaration_0() { return cStartToStartEnumLiteralDeclaration_0; }
		
		//'startToStart'
		public Keyword getStartToStartStartToStartKeyword_0_0() { return cStartToStartStartToStartKeyword_0_0; }
		
		//finishToStart
		public EnumLiteralDeclaration getFinishToStartEnumLiteralDeclaration_1() { return cFinishToStartEnumLiteralDeclaration_1; }
		
		//'finishToStart'
		public Keyword getFinishToStartFinishToStartKeyword_1_0() { return cFinishToStartFinishToStartKeyword_1_0; }
		
		//startToFinish
		public EnumLiteralDeclaration getStartToFinishEnumLiteralDeclaration_2() { return cStartToFinishEnumLiteralDeclaration_2; }
		
		//'startToFinish'
		public Keyword getStartToFinishStartToFinishKeyword_2_0() { return cStartToFinishStartToFinishKeyword_2_0; }
		
		//finishToFinish
		public EnumLiteralDeclaration getFinishToFinishEnumLiteralDeclaration_3() { return cFinishToFinishEnumLiteralDeclaration_3; }
		
		//'finishToFinish'
		public Keyword getFinishToFinishFinishToFinishKeyword_3_0() { return cFinishToFinishFinishToFinishKeyword_3_0; }
	}
	
	private final ProcessElements pProcess;
	private final ProcessElementElements pProcessElement;
	private final EStringElements pEString;
	private final WorkDefinitionElements pWorkDefinition;
	private final WorkSequenceElements pWorkSequence;
	private final GuidanceElements pGuidance;
	private final RessourceElements pRessource;
	private final AllocationRessourceElements pAllocationRessource;
	private final EIntElements pEInt;
	private final WorkSequenceTypeElements eWorkSequenceType;
	
	private final Grammar grammar;
	
	private final TerminalsGrammarAccess gaTerminals;

	@Inject
	public PDL3GrammarAccess(GrammarProvider grammarProvider,
			TerminalsGrammarAccess gaTerminals) {
		this.grammar = internalFindGrammar(grammarProvider);
		this.gaTerminals = gaTerminals;
		this.pProcess = new ProcessElements();
		this.pProcessElement = new ProcessElementElements();
		this.pEString = new EStringElements();
		this.pWorkDefinition = new WorkDefinitionElements();
		this.pWorkSequence = new WorkSequenceElements();
		this.pGuidance = new GuidanceElements();
		this.pRessource = new RessourceElements();
		this.pAllocationRessource = new AllocationRessourceElements();
		this.pEInt = new EIntElements();
		this.eWorkSequenceType = new WorkSequenceTypeElements();
	}
	
	protected Grammar internalFindGrammar(GrammarProvider grammarProvider) {
		Grammar grammar = grammarProvider.getGrammar(this);
		while (grammar != null) {
			if ("fr.n7.PDL3".equals(grammar.getName())) {
				return grammar;
			}
			List<Grammar> grammars = grammar.getUsedGrammars();
			if (!grammars.isEmpty()) {
				grammar = grammars.iterator().next();
			} else {
				return null;
			}
		}
		return grammar;
	}
	
	@Override
	public Grammar getGrammar() {
		return grammar;
	}
	
	
	public TerminalsGrammarAccess getTerminalsGrammarAccess() {
		return gaTerminals;
	}

	
	//Process:
	//	{Process}
	//	'Process'
	//	name=EString
	//	'{' ('processElement' '{' processElement+=ProcessElement ("," processElement+=ProcessElement)* '}')?
	//	'}';
	public ProcessElements getProcessAccess() {
		return pProcess;
	}
	
	public ParserRule getProcessRule() {
		return getProcessAccess().getRule();
	}
	
	//ProcessElement:
	//	WorkDefinition | WorkSequence | Guidance | Ressource;
	public ProcessElementElements getProcessElementAccess() {
		return pProcessElement;
	}
	
	public ParserRule getProcessElementRule() {
		return getProcessElementAccess().getRule();
	}
	
	//EString:
	//	STRING | ID;
	public EStringElements getEStringAccess() {
		return pEString;
	}
	
	public ParserRule getEStringRule() {
		return getEStringAccess().getRule();
	}
	
	//WorkDefinition:
	//	{WorkDefinition}
	//	'WorkDefinition'
	//	name=EString
	//	'{' ('linksToPredecessors' '(' linksToPredecessors+=[WorkSequence|EString] (","
	//	linksToPredecessors+=[WorkSequence|EString])* ')')? ('linksToSuccessors' '(' linksToSuccessors+=[WorkSequence|EString]
	//	("," linksToSuccessors+=[WorkSequence|EString])* ')')? ('allocationressource' '{'
	//	allocationressource+=AllocationRessource ("," allocationressource+=AllocationRessource)* '}')?
	//	'}';
	public WorkDefinitionElements getWorkDefinitionAccess() {
		return pWorkDefinition;
	}
	
	public ParserRule getWorkDefinitionRule() {
		return getWorkDefinitionAccess().getRule();
	}
	
	//WorkSequence:
	//	'WorkSequence'
	//	'{'
	//	'linkType' linkType=WorkSequenceType
	//	'predecessor' predecessor=[WorkDefinition|EString]
	//	'successor' successor=[WorkDefinition|EString]
	//	'}';
	public WorkSequenceElements getWorkSequenceAccess() {
		return pWorkSequence;
	}
	
	public ParserRule getWorkSequenceRule() {
		return getWorkSequenceAccess().getRule();
	}
	
	//Guidance:
	//	{Guidance}
	//	'Guidance'
	//	'{' ('text' text=EString)? ('elements' '(' elements+=[ProcessElement|EString] (","
	//	elements+=[ProcessElement|EString])* ')')?
	//	'}';
	public GuidanceElements getGuidanceAccess() {
		return pGuidance;
	}
	
	public ParserRule getGuidanceRule() {
		return getGuidanceAccess().getRule();
	}
	
	//Ressource:
	//	'Ressource'
	//	name=EString
	//	'{'
	//	'instance' instance=EInt ('predecessors' '(' predecessors+=[AllocationRessource|EString] (","
	//	predecessors+=[AllocationRessource|EString])* ')')?
	//	'}';
	public RessourceElements getRessourceAccess() {
		return pRessource;
	}
	
	public ParserRule getRessourceRule() {
		return getRessourceAccess().getRule();
	}
	
	//AllocationRessource:
	//	'AllocationRessource'
	//	'{'
	//	'numAllocated' numAllocated=EInt
	//	'ressource' ressource=[Ressource|EString]
	//	'}';
	public AllocationRessourceElements getAllocationRessourceAccess() {
		return pAllocationRessource;
	}
	
	public ParserRule getAllocationRessourceRule() {
		return getAllocationRessourceAccess().getRule();
	}
	
	//EInt ecore::EInt:
	//	'-'? INT;
	public EIntElements getEIntAccess() {
		return pEInt;
	}
	
	public ParserRule getEIntRule() {
		return getEIntAccess().getRule();
	}
	
	//enum WorkSequenceType:
	//	startToStart | finishToStart | startToFinish | finishToFinish;
	public WorkSequenceTypeElements getWorkSequenceTypeAccess() {
		return eWorkSequenceType;
	}
	
	public EnumRule getWorkSequenceTypeRule() {
		return getWorkSequenceTypeAccess().getRule();
	}
	
	//terminal ID:
	//	'^'? ('a'..'z' | 'A'..'Z' | '_') ('a'..'z' | 'A'..'Z' | '_' | '0'..'9')*;
	public TerminalRule getIDRule() {
		return gaTerminals.getIDRule();
	}
	
	//terminal INT returns ecore::EInt:
	//	'0'..'9'+;
	public TerminalRule getINTRule() {
		return gaTerminals.getINTRule();
	}
	
	//terminal STRING:
	//	'"' ('\\' . | !('\\' | '"'))* '"' |
	//	"'" ('\\' . | !('\\' | "'"))* "'";
	public TerminalRule getSTRINGRule() {
		return gaTerminals.getSTRINGRule();
	}
	
	//terminal ML_COMMENT:
	//	'/*'->'*/';
	public TerminalRule getML_COMMENTRule() {
		return gaTerminals.getML_COMMENTRule();
	}
	
	//terminal SL_COMMENT:
	//	'//' !('\n' | '\r')* ('\r'? '\n')?;
	public TerminalRule getSL_COMMENTRule() {
		return gaTerminals.getSL_COMMENTRule();
	}
	
	//terminal WS:
	//	' ' | '\t' | '\r' | '\n'+;
	public TerminalRule getWSRule() {
		return gaTerminals.getWSRule();
	}
	
	//terminal ANY_OTHER:
	//	.;
	public TerminalRule getANY_OTHERRule() {
		return gaTerminals.getANY_OTHERRule();
	}
}
